summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
Diffstat (limited to 'misc')
-rw-r--r--misc/jmri/README7
-rw-r--r--misc/jmri/doinst.sh6
-rw-r--r--misc/jmri/jmri.SlackBuild78
-rw-r--r--misc/jmri/jmri.csh2
-rw-r--r--misc/jmri/jmri.info8
-rw-r--r--misc/jmri/jmri.sh2
-rw-r--r--misc/jmri/slack-desc18
7 files changed, 121 insertions, 0 deletions
diff --git a/misc/jmri/README b/misc/jmri/README
new file mode 100644
index 0000000000..fbda685a89
--- /dev/null
+++ b/misc/jmri/README
@@ -0,0 +1,7 @@
+JMRI is the Java Model Railroad Interface, a set of tools for model railroad
+computer control.
+
+This requires javacomm and rxtx.
+
+Please note, to access your controller hardware you will probably need to
+add your username to the 'uucp' group ('dialout' on 13.0+).
diff --git a/misc/jmri/doinst.sh b/misc/jmri/doinst.sh
new file mode 100644
index 0000000000..c65169c708
--- /dev/null
+++ b/misc/jmri/doinst.sh
@@ -0,0 +1,6 @@
+if [ ! -e var/log/jmri/messages.log ]; then
+ mv var/log/jmri/messages.log.new var/log/jmri/messages.log
+else
+ rm -f var/log/jmri/messages.log.new
+fi
+
diff --git a/misc/jmri/jmri.SlackBuild b/misc/jmri/jmri.SlackBuild
new file mode 100644
index 0000000000..557696d8f1
--- /dev/null
+++ b/misc/jmri/jmri.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for JMRI
+# Written by David Spencer <nobbutl@yahoo.co.uk>
+# This script is dedicated to the public domain
+
+PRGNAM=jmri
+VERSION=2.4A
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+TARNAM=JMRI
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $TARNAM
+tar xvf $CWD/$TARNAM.$VERSION.tgz
+cd $TARNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin
+cp -a \
+ DecoderPro InstallTest JmriDemo LocoTools PanelPro cornwall \
+ $PKG/usr/bin
+chmod 755 $PKG/usr/bin/*
+
+mkdir -p $PKG/opt/jmri
+cp -a \
+ default.lcf help/ jmri.jar lib/ resources/ xml/ \
+ $PKG/opt/jmri
+
+# Let's not abuse writability in /opt
+mkdir -p $PKG/var/lib/jmri/
+cp -a jython $PKG/var/lib/jmri
+chmod 1777 $PKG/var/lib/jmri/jython
+( cd $PKG/opt/jmri ; ln -s ../../var/lib/jmri/jython . )
+#
+mkdir -p $PKG/var/lib/jmri/cachedir/packages
+chmod 1777 $PKG/var/lib/jmri/cachedir/packages
+( cd $PKG/opt/jmri/lib ; ln -s ../../../var/lib/jmri/cachedir . )
+#
+mkdir -p $PKG/var/log/jmri
+touch $PKG/var/log/jmri/messages.log.new
+chmod 666 $PKG/var/log/jmri/messages.log.new
+( cd $PKG/opt/jmri ; ln -s ../../var/log/jmri/messages.log . )
+
+# Install some profile scripts for shell init
+mkdir -p $PKG/etc/profile.d
+cat $CWD/jmri.sh > $PKG/etc/profile.d/jmri.sh
+cat $CWD/jmri.csh > $PKG/etc/profile.d/jmri.csh
+chmod 755 $PKG/etc/profile.d/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/misc/jmri/jmri.csh b/misc/jmri/jmri.csh
new file mode 100644
index 0000000000..9b6b053972
--- /dev/null
+++ b/misc/jmri/jmri.csh
@@ -0,0 +1,2 @@
+#!/bin/csh
+setenv JMRI_HOME /opt/jmri
diff --git a/misc/jmri/jmri.info b/misc/jmri/jmri.info
new file mode 100644
index 0000000000..6c4a6fb603
--- /dev/null
+++ b/misc/jmri/jmri.info
@@ -0,0 +1,8 @@
+PRGNAM="jmri"
+VERSION="2.4A"
+HOMEPAGE="http://jmri.org/"
+DOWNLOAD="http://downloads.sourceforge.net/jmri/JMRI.2.4A.tgz"
+MD5SUM="b1c220ccecea3e0050ff9a76c0deda53"
+MAINTAINER="David Spencer"
+EMAIL="nobbutl@yahoo.co.uk"
+APPROVED="rworkman"
diff --git a/misc/jmri/jmri.sh b/misc/jmri/jmri.sh
new file mode 100644
index 0000000000..dc431a243d
--- /dev/null
+++ b/misc/jmri/jmri.sh
@@ -0,0 +1,2 @@
+#!/bin/sh
+export JMRI_HOME=/opt/jmri
diff --git a/misc/jmri/slack-desc b/misc/jmri/slack-desc
new file mode 100644
index 0000000000..603b7b084b
--- /dev/null
+++ b/misc/jmri/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+jmri: jmri (Java Model Railroad Interface)
+jmri:
+jmri: A set of tools for model railroad computer control.
+jmri:
+jmri: Homepage: http://jmri.org/
+jmri:
+jmri:
+jmri:
+jmri:
+jmri: